Bug 115709 - firewire hardrive is not recognized by kernel-2.6.2-1.79
firewire hardrive is not recognized by kernel-2.6.2-1.79
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks: FC2Target
  Show dependency treegraph
 
Reported: 2004-02-15 01:24 EST by Alexander Farley
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-29 04:12:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Farley 2004-02-15 01:24:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
Using kernel-2.6.2-1.79 iPod/firewire hardrives cannot be mounted.
However, using kernel-2.4.22-1.2166 (and the rescan-scsi-bus.sh
script) the ipod is easily mounted. The third party gscanbus program
indicates that the ipod is present and connected to the computer.
Additionally, sbp2 is loaded upon boot up as expected, but when the
module is removed in order to disconnect the ipod there is no
indication by the ipod that it is okay to disconnect.

Version-Release number of selected component (if applicable):
kernel-2.6.2-1.79

How reproducible:
Always

Steps to Reproduce:
1. Attach a firewire drive (e.g. an ipod)
2. Boot into kernel-2.6.2-1.79
3. it is not possible to mount the firewire drive
    

Actual Results:  The firewire drive is not recognized by the kernel.

Expected Results:  The firewire drive would be mounted when desired.

Additional info:
Comment 1 André Cruz 2004-05-28 07:33:04 EDT
I too have exactly the same problem on FC2 FINAL.
Comment 2 Alexander Farley 2004-05-28 19:07:46 EDT
This has been fixed as of kernel-2.6.6-xxx. I believe that ohci1394
code was broken and was only just fixed. I think that an official
update will be released soon. Otherwise the package is available
through the development branch or the updates-testing branch. If you
are adventurous it is also possible to get the device to mount and
unmount as desired using hal and associated project utopia programs
(most of which are already present in FC2).

Note You need to log in before you can comment on or make changes to this bug.